AlgoJudge documentation0.1
REST reference

Files

POST/files/fetch

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/files/fetch" \  -H "Content-Type: application/json" \  -d '{    "url": "string"  }'
{  "id": "string",  "name": "string",  "mimeType": "string",  "sizeBytes": 0,  "sha256": "string",  "createdAt": "string"}
POST/files

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/files" \  -F file="string" \  -F sha256="string"
{  "id": "string",  "name": "string",  "mimeType": "string",  "sizeBytes": 0,  "sha256": "string",  "createdAt": "string"}
GET/files/{id}

Path Parameters

id*string
Formatuuid

Response Body

curl -X GET "https://example.com/files/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
GET/files/{id}/meta

Path Parameters

id*string
Formatuuid

Response Body

curl -X GET "https://example.com/files/497f6eca-6276-4993-bfeb-53cbbbba6f08/meta"
{  "id": "string",  "name": "string",  "mimeType": "string",  "sizeBytes": 0,  "sha256": "string",  "createdAt": "string"}